## SYNOPSIS

           arecord [flags] [filename]

## SYNOPSIS

           aplay [flags] [filename [filename]] ...

## DESCRIPTION

           arecord is a command-line soundfile recorder for the  ALSA
           soundcard  driver.  It  supports  several file formats and
           multiple soundcards with multiple devices.

           aplay is much the same, only it plays instead  of  record
           ing.  For  supported soundfile formats, the sampling rate,
           bit depth, and so forth can  be  automatically  determined
           from the soundfile header.

## INVOKING

           [arecord | aplay ] [flags] filename

           If filename is not specified, the standard output or input
           is used. The aplay utility accepts multiple filenames.

       Options
           --help Help: show syntax.

           --version
                  Print current version.

           -l, --list-devices
                  List all soundcards and digital audio devices

           -L, --list-pcms
                  List all PCMs defined

           -D, --device=NAME
                  Select PCM by name

           -q --quiet
                  Quiet mode. Suppress messages (not sound :))

           -t, --file-type TYPE
                  File type (voc, wav, raw or au)

           -c, --channels=#
                  The number of channels

           -f --format=FORMAT

           -d, --duration=#
                  Interrupt after # seconds

           -s, --sleep-min=#
                  Min ticks to sleep

           -M, --mmap
                  Mmap stream

           -N, --nonblock
                  Nonblocking mode

           -F, --period-time=#
                  Distance between interrupts is # microseconds

           -B, --buffer-time=#
                  Buffer duration is # microseconds

           -A, --avail-min=#
                  Min available space for wakeup is # microseconds

           -R, --start-delay=#
                  Delay for automatic PCM  start  is  #  microseconds
                  (relative to buffer size if <= 0)

           -T, --stop-delay=#
                  Delay for automatic PCM stop is # microseconds from
                  xrun

           -v, --verbose
                  Show PCM structure and setup

           -I, --separate-channels
                  One file for each channel

              Example:

                  aplay -c 1 -t raw -r 22050 -f mu_law foobar

                  will play the raw  file  "foobar"  as  a  22050-Hz,
                  mono, 8-bit, Mu-Law .au file.

                  arecord -d 10 -f cd -t wav -D copy foobar.wav

                  will  record  foobar.wav as a 10-second, CD-quality
                  wave file, using the PCM  "copy"  (which  might  be
                  defined in the user's .asoundrc file as:
                  pcm.copy {
                    type plug

## AUTHOR

           arecord  and  aplay are by Jaroslav Kysela <perex@suse.cz>
           This document is  by  Paul  Winkler  <zarmzarm@erols.com>.
           Updated     for     Alsa     0.9     by    James    Tappin
           <james@xena.uklinux.net>

                              2 August 2001                  APLAY(1)